Method: projects.locations.backupChannels.create

Creates a new BackupChannel in a given location.

HTTP request


POST https://gkebackup.googleapis.com/v1/{parent=projects/*/locations/*}/backupChannels

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The location within which to create the BackupChannel. Format: projects/*/locations/*

Authorization requires the following IAM permission on the specified resource parent:

  • gkebackup.backupChannels.create

Query parameters

Parameters
backupChannelId

string

Optional. The client-provided short name for the BackupChannel resource. This name must:

  • be between 1 and 63 characters long (inclusive)
  • consist of only lower-case ASCII letters, numbers, and dashes
  • start with a lower-case letter
  • end with a lower-case letter or number
  • be unique within the set of BackupChannels in this location If the user does not provide a name, a uuid will be used as the name.

Request body

The request body contains an instance of BackupChannel.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.